Disk ARchive: libdar::cat_chardev Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::cat_chardev Class Reference
Private

the char device class More...

`#include <cat_chardev.hpp>`

Inherits libdar::cat_device.

## Public Member Functions
| cat_chardev (const infinint &uid, const infinint &gid, U_16 perm, const datetime &last_access, const datetime &last_modif, const datetime &last_change, const std::string &name, U_16 major, U_16 minor, const infinint &fs_device)
| cat_chardev (const std::shared_ptr< user_interaction > &dialog, const smart_pointer< pile_descriptor > &pdesc, const archive_version &reading_ver, saved_status saved, bool small)
| cat_chardev (const cat_chardev &ref)=default
| cat_chardev (cat_chardev &&ref) noexcept=default
cat_chardev & | operator= (const cat_chardev &ref)=default
cat_chardev & | operator= (cat_chardev &&ref)=default
virtual bool | operator== (const cat_entree &ref) const override
| returns true if the two object are the same
virtual unsigned char | signature () const override
| inherited class signature
virtual std::string | get_description () const override
| inherited class designation
virtual cat_entree * | clone () const override
| a way to copy the exact type of an object even if pointed to by a parent class pointer
Public Member Functions inherited from libdar::cat_device
| cat_device (const infinint &uid, const infinint &gid, U_16 perm, const datetime &last_access, const datetime &last_modif, const datetime &last_change, const std::string &name, U_16 major, U_16 minor, const infinint &fs_device)
| cat_device (const std::shared_ptr< user_interaction > &dialog, const smart_pointer< pile_descriptor > &pdesc, const archive_version &reading_ver, saved_status saved, bool small)
| cat_device (const cat_device &ref)=default
| cat_device (cat_device &&ref) noexcept=default
cat_device & | operator= (const cat_device &ref)=default
cat_device & | operator= (cat_device &&ref)=default
int | get_major () const
int | get_minor () const
void | set_major (int x)
void | set_minor (int x)
Public Member Functions inherited from libdar::cat_inode
| cat_inode (const infinint &xuid, const infinint &xgid, U_16 xperm, const datetime &last_access, const datetime &last_modif, const datetime &last_change, const std::string &xname, const infinint &device)
| flag used to only consider certain fields when comparing/restoring inodes
| cat_inode (const std::shared_ptr< user_interaction > &dialog, const smart_pointer< pile_descriptor > &pdesc, const archive_version &reading_ver, saved_status saved, bool small)
| cat_inode (const cat_inode &ref)
| cat_inode (cat_inode &&ref) noexcept
cat_inode & | operator= (const cat_inode &ref)
cat_inode & | operator= (cat_inode &&ref)
const infinint & | get_uid () const
const infinint & | get_gid () const
U_16 | get_perm () const
datetime | get_last_access () const
datetime | get_last_modif () const
void | set_last_access (const datetime &x_time)
void | set_last_modif (const datetime &x_time)
infinint | get_device () const
bool | same_as (const cat_inode &ref) const
bool | is_more_recent_than (const cat_inode &ref, const infinint &hourshift) const
virtual bool | has_changed_since (const cat_inode &ref, const infinint &hourshift, comparison_fields what_to_check) const
void | compare (const cat_inode &other, const mask &ea_mask, comparison_fields what_to_check, const infinint &hourshift, bool symlink_date, const fsa_scope &scope, bool isolated_mode, bool seq_read_mode) const
void | ea_set_saved_status (ea_saved_status status)
ea_saved_status | ea_get_saved_status () const
void | ea_attach (ea_attributs *ref)
const ea_attributs * | get_ea () const
| the returned value is the address of an existing file of the cat_inode object and shall not be deleted by the caller
void | ea_detach () const
infinint | ea_get_size () const
void | ea_set_offset (const infinint &pos)
bool | ea_get_offset (infinint &pos) const
void | ea_set_crc (const crc &val)
void | ea_get_crc (const crc *&ptr) const
| the argument is set to point to an allocated crc object owned by this "cat_inode" object, this reference stays valid while the "cat_inode" object exists and MUST NOT be deleted by the caller in any case
bool | ea_get_crc_size (infinint &val) const
| returns true if crc is know and puts its width in argument
datetime | get_last_change () const
void | set_last_change (const datetime &x_time)
bool | has_last_change () const
void | fsa_set_saved_status (fsa_saved_status status)
fsa_saved_status | fsa_get_saved_status () const
fsa_scope | fsa_get_families () const
| gives the set of FSA family recorded for that inode
void | fsa_attach (filesystem_specific_attribute_list *ref)
void | fsa_partial_attach (const fsa_scope &val)
const filesystem_specific_attribute_list * | get_fsa () const
void | fsa_detach () const
infinint | fsa_get_size () const
void | fsa_set_offset (const infinint &pos)
bool | fsa_get_offset (infinint &pos) const
void | fsa_set_crc (const crc &val)
void | fsa_get_crc (const crc *&ptr) const
bool | fsa_get_crc_size (infinint &val) const
Public Member Functions inherited from libdar::cat_nomme
| cat_nomme (const std::string &name, saved_status arg)
| cat_nomme (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| cat_nomme (const cat_nomme &ref)=default
| cat_nomme (cat_nomme &&ref) noexcept=default
cat_nomme & | operator= (const cat_nomme &ref)=default
cat_nomme & | operator= (cat_nomme &&ref)=default
virtual bool | operator< (const cat_nomme &ref) const
const std::string & | get_name () const
void | change_name (const std::string &x)
bool | same_as (const cat_nomme &ref) const
Public Member Functions inherited from libdar::cat_entree
| cat_entree (saved_status val)
| setup an object when read from filesystem
| cat_entree (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| setup an object when read from an archive
| cat_entree (const cat_entree &ref)=default
| cat_entree (cat_entree &&ref) noexcept=default
cat_entree & | operator= (const cat_entree &ref)=default
cat_entree & | operator= (cat_entree &&ref)=default
virtual | ~cat_entree () noexcept(false)
| destructor
bool | operator!= (const cat_entree &ref) const
bool | same_as (const cat_entree &ref) const
| return true of the two objects would generate the same entry on filsystem
void | dump (const pile_descriptor &pdesc, bool small) const
| write down the object information to a stack
void | specific_dump (const pile_descriptor &pdesc, bool small) const
| this call gives an access to inherited_dump
virtual void | post_constructor (const pile_descriptor &pdesc)
| let inherited classes build object's data after CRC has been read from file in small read mode
virtual void | change_location (const smart_pointer< pile_descriptor > &pdesc)
saved_status | get_saved_status () const
| obtain the saved status of the object
void | set_saved_status (saved_status x)
| modify the saved_status of the object
void | set_list_entry (const slice_layout *sly, bool fetch_ea, list_entry &ent) const
| setup a list_entry object relative to the current cat_entree object

## Additional Inherited Members
Static Public Member Functions inherited from libdar::cat_entree
static cat_entree * | read (const std::shared_ptr< user_interaction > &dialog, const smart_pointer< pile_descriptor > &f, const archive_version &reading_ver, entree_stats &stats, std::map< infinint, cat_etoile * > &corres, compression default_algo, bool lax, bool only_detruit, bool small)
| read and create an object of inherited class of class cat_entree
Protected Member Functions inherited from libdar::cat_device
virtual void | sub_compare (const cat_inode &other, bool isolated_mode, bool seq_read_mode) const override
virtual void | inherited_dump (const pile_descriptor &pdesc, bool small) const override
| true if object has been created by sequential reading of an archive
Protected Member Functions inherited from libdar::cat_inode
bool | get_small_read () const
Protected Member Functions inherited from libdar::cat_entree
pile * | get_pile () const
| stack used to read object from (nullptr is returned for object created from filesystem)
proto_compressor * | get_compressor_layer () const
| compressor generic_file relative methods
escape * | get_escape_layer () const
| escape generic_file relative methods
generic_file * | get_read_cat_layer (bool small) const
| return the adhoc layer in the stack to read from the catalogue objects (except the EA, FSA or Data part)

## Detailed Description

the char device class

Definition at line 44 of file cat_chardev.hpp.

## Constructor & Destructor Documentation

## ◆ cat_chardev() [1/2]

libdar::cat_chardev::cat_chardev | ( | const infinint & | uid,
|  | const infinint & | gid,
|  | U_16 | perm,
|  | const datetime & | last_access,
|  | const datetime & | last_modif,
|  | const datetime & | last_change,
|  | const std::string & | name,
|  | U_16 | major,
|  | U_16 | minor,
|  | const infinint & | fs_device )
| inline

Definition at line 47 of file cat_chardev.hpp.

## ◆ cat_chardev() [2/2]

libdar::cat_chardev::cat_chardev | ( | const std::shared_ptr< user_interaction > & | dialog,
|  | const smart_pointer< pile_descriptor > & | pdesc,
|  | const archive_version & | reading_ver,
|  | saved_status | saved,
|  | bool | small )
| inline

Definition at line 60 of file cat_chardev.hpp.

## Member Function Documentation

## ◆ clone()

virtual cat_entree * libdar::cat_chardev::clone | ( |  | ) | const
| inlineoverridevirtual

a way to copy the exact type of an object even if pointed to by a parent class pointer

Implements libdar::cat_entree.

Definition at line 80 of file cat_chardev.hpp.

## ◆ get_description()

virtual std::string libdar::cat_chardev::get_description | ( |  | ) | const
| inlineoverridevirtual

inherited class designation

Implements libdar::cat_entree.

Definition at line 79 of file cat_chardev.hpp.

## ◆ operator==()

virtual bool libdar::cat_chardev::operator== | ( | const cat_entree & | ref | ) | const
| overridevirtual

returns true if the two object are the same

Reimplemented from libdar::cat_device.

## ◆ signature()

virtual unsigned char libdar::cat_chardev::signature | ( |  | ) | const
| inlineoverridevirtual

inherited class signature

Implements libdar::cat_entree.

Definition at line 78 of file cat_chardev.hpp.

The documentation for this class was generated from the following file:

- cat_chardev.hpp